Name:         l2tpd
Version:      0.69
Release:      alt2
Summary:      l2tpd is an implementation of the layer two tunneling protocol 
License:      GPL
Group:        Accessibility
URL:          http://sourceforge.net/l2tpd
Packager:     Eugene A. Suchov <cityhawk@altlinux.ru>
Source0:      %{name}-%{version}.tar.gz
Patch0:	      l2tpd-error.patch
Patch1:	      l2tpd-gcc41.patch


%description
l2tpd is an implementation of the layer two tunneling protocol. It works in userspace completely (although kernel work is planned after the userspace version is stablized).  l2tpd works by opening a pseudo-tty for communicating with pppd.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
%make 

%install
install -Dm 750 %{name} %buildroot%_sbindir/%{name}

gzip doc/l2tp-secrets.5  
install -Dm 664 doc/l2tp-secrets.5.gz %buildroot%_mandir/man5/l2tp-secrets.5.gz

gzip doc/l2tpd.8 
install -Dm 664 doc/l2tpd.8.gz %buildroot%_mandir/man8/l2tpd.8.gz

gzip doc/l2tpd.conf.5 
install -Dm 664 doc/l2tpd.conf.5.gz %buildroot%_mandir/man5/l2tpd.conf.5.gz

install -Dm 664 doc/l2tp-secrets.sample %buildroot%_sysconfdir/%{name}/l2tp-secrets
install -Dm 664 doc/l2tpd.conf.sample %buildroot%_sysconfdir/%{name}/l2tpd.conf

%files 
%doc BUGS CHANGELOG CREDITS LICENSE README TODO    
%_sbindir/%name
%_mandir/man?/*
%_sysconfdir/%name



%changelog
* Tue May 16 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.69-alt2
- Added patch for gcc4.1 

* Fri Mar 24 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.69-alt1
- Inital build for sisyphus (may be rough) 


